import * as React from 'react';
import { ReactWrapperComponent } from '../../components/wrapper-component';
/**
 * Props for `Disguise` component.
 */
export interface DisguiseProps {
    /**
     * The type to render the root component as.
     * @default React.Fragment
     */
    disguiseRootAs?: React.ReactType;
    /**
     * The type to render the child components as.
     * @default the Children's own type.
     */
    disguiseChildrenAs?: React.ReactType;
    /**
     * The Angular child components to render.
     */
    ngChildComponents?: ReactWrapperComponent<any>[];
    key?: string | number;
}
/**
 * A React component that can render a component and its children as other component types.
 */
export declare class Disguise extends React.PureComponent<DisguiseProps> {
    render(): React.ReactElement<any, string | React.JSXElementConstructor<any>> | React.FunctionComponentElement<{
        key: string | number;
    }>;
    private _isReactContentOnlyChild;
    private _renderReactContentChildren;
    private _renderChildrenNaive;
}
