export declare const passPropsSymbol: unique symbol;
export interface PassProp {
    sourceKey: PropertyKey;
    targetKey: PropertyKey;
}
/**
 * Decorator to specify a property that should be passed as a prop to the underlying React component implicitly.
 * Mainly useful for passing child components using the `Disguise` component.
 */
export declare function passProp(): PropertyDecorator;
export declare function passProp(propName: string): PropertyDecorator;
export declare function getPassProps<T extends object>(obj: T): PassProp[];
