import * as React from 'react';
export type ComponentResolver = () => React.ReactType;
/**
 * Register an element to be renderer when the renderer sees the tag.
 * @param elementName the tag to be used to get the component type when rendering.
 * @param resolver A resolver to the React component.
 */
export declare function registerElement(elementName: string, resolver: ComponentResolver): void;
export declare function isKnownComponent(elementName: string): boolean;
export declare function getComponentClass(elementName: string): React.ReactType | string;
